Author: soliton
Date: Mon Oct  6 02:54:52 2008
New Revision: 29918

URL: http://svn.gna.org/viewcvs/wesnoth?rev=29918&view=rev
Log:
* update the run script to the recent campaignd changes

Modified:
    trunk/utils/mp-server/run_campaignd

Modified: trunk/utils/mp-server/run_campaignd
URL: 
http://svn.gna.org/viewcvs/wesnoth/trunk/utils/mp-server/run_campaignd?rev=29918&r1=29917&r2=29918&view=diff
==============================================================================
--- trunk/utils/mp-server/run_campaignd (original)
+++ trunk/utils/mp-server/run_campaignd Mon Oct  6 02:54:52 2008
@@ -21,11 +21,12 @@
 SERVERBASE=$HOME/campaignd/$VERSION/
 
 [ -d "$SERVERBASE" ] || die "Server '$VERSION' not found."
+[ -d "$SERVERBASE/data" ] || die "Server '$VERSION' has no data/ dir."
 [ -d "$SERVERBASE/logs" ] || mkdir $SERVERBASE/logs
 
 ulimit -c unlimited
 
-cd $SERVERBASE/data || exit 1
+cd $SERVERBASE || exit 1
 
 while [ true ]
 do
@@ -33,7 +34,7 @@
        COMMAND="$HOME/bin/campaignd-$VERSION $THREADS $PARAMETERS"
        echo "started $VERSION campaignd with command: '$COMMAND' at: $DATE"
        $COMMAND &> $SERVERBASE/logs/campaignd.$DATE
-       mv gmon.out ../gmon.$DATE.out &> /dev/null
+       mv gmon.out gmon.$DATE.out &> /dev/null
        [ "$?" != "0" ] || exit
        [ "$?" != "1" ] || die "File I/O error."
        [ "$?" != "2" ] || die "Could not parse config file."


_______________________________________________
Wesnoth-commits mailing list
[email protected]
https://mail.gna.org/listinfo/wesnoth-commits

Reply via email to